/*
 * AttributeTable.java
 *
 * Created on February 17, 2002, 10:18 AM
 */

/**
 *
 * @author  Chris Schmidt
 */

import java.util.Vector;
import java.util.Enumeration;

/** Simple class that holds the attribute table data
 */
public class AttributeTable {
    
    private Vector attrTbl;
    
    /** Creates a new instance of AttributeTable */
    public AttributeTable() {
        attrTbl = new Vector();
    }
    
    /** Add an attribute to the list of all attributes for this XML document.  Since attributes are listed in the order that they are received in the end product, nothing special is done to sort this data.
     * @param attrName The name of the attribute being added
     * @param attrValue The value of the attribute being added
     * @param elementId The Id of the element that this attribute comes from
     * @param elementName The name of the element that this attribute comes from
     * @param pathId The path id that the element + this attribute have been given previously
     */    
    public void addAttributes(String attrName, String attrValue, int elementId,
                    String elementName, int pathId) {
        AttributeTableData tempAttr = new AttributeTableData();
        // Fill in the attribute information
        tempAttr.setAttrName(attrName);
        tempAttr.setAttrValue(attrValue);
        tempAttr.setElementId(elementId);
        tempAttr.setElementName(elementName);
        tempAttr.setPathId(pathId);
        // Add the new Attribute data object
        attrTbl.add(tempAttr);
    }
      
    /** Returns an enumeration of the attributes collected.
     * @return Enumeration the list of attributes that have been collected thus far
     */    
    public Enumeration getAttributes() {
        // Return the attribute data as an Enumeration
        return attrTbl.elements();
    }
}
